{
  inputs,
  pkgs,
  ...
}:
let
  azPkgs = inputs.nixpkgs-azure-cli.legacyPackages.${pkgs.stdenv.hostPlatform.system};
in
{

  environment.systemPackages = with pkgs; [
    nixfmt-rfc-style
    lazydocker
    gh
    awscli
    minio-client
    opentofu
	python3
    (azPkgs.azure-cli.withExtensions (
      with azPkgs.azure-cli.extensions;
      [
        # aks-preview
        # ssh
        fzf
      ]
    ))
    yq
    jq
    git
  ];
}
